## golang-github-minio-minio-go-v7 7.0.5

=== Makefile ===
GOPATH := $(shell go env GOPATH)

all: checks

.PHONY: examples docs

checks: lint vet test examples functional-test

lint:
	@mkdir -p ${GOPATH}/bin
	@which golangci-lint 1>/dev/null || (echo "Installing golangci-lint" && curl -sSfL https://raw.githubusercontent.com/golangci/golangci-lint/master/install.sh | sh -s -- -b $(GOPATH)/bin v1.27.0)
	@echo "Running $@ check"
	@GO111MODULE=on ${GOPATH}/bin/golangci-lint cache clean
	@GO111MODULE=on ${GOPATH}/bin/golangci-lint run --timeout=5m --config ./.golangci.yml

vet:
	@GO111MODULE=on go vet ./...

test:
	@GO111MODULE=on SERVER_ENDPOINT=localhost:9000 ACCESS_KEY=minio SECRET_KEY=minio123 ENABLE_HTTPS=1 MINT_MODE=full go test -race -v ./...

examples:
	@mkdir -p /tmp/examples && for i in $(echo examples/s3/*); do go build -o /tmp/examples/$(basename ${i:0:-3}) ${i}; done

functional-test:
	@GO111MODULE=on SERVER_ENDPOINT=localhost:9000 ACCESS_KEY=minio SECRET_KEY=minio123 ENABLE_HTTPS=1 MINT_MODE=full go run functional_tests.go

clean:
	@echo "Cleaning up all the generated files"
	@find . -name '*.test' | xargs rm -fv
	@find . -name '*~' | xargs rm -fv

=== debian/changelog ===
golang-github-minio-minio-go-v7 (7.0.5-3) unstable; urgency=medium

  * bump minimum required version of golang-github-minio-md5-simd-dev to 1.1.2

 -- Félix Sipma <felix@debian.org>  Sun, 29 Aug 2021 10:23:49 +0200

golang-github-minio-minio-go-v7 (7.0.5-2) unstable; urgency=medium

  * Team upload.
  * Bump debhelper-compat to 13

 -- Shengjing Zhu <zhsj@debian.org>  Fri, 05 Feb 2021 10:43:17 +0800

golang-github-minio-minio-go-v7 (7.0.5-1) unstable; urgency=medium

  [ Félix Sipma ]
  * Initial import from golang-github-minio-minio-go
  * Rename package to golang-github-minio-minio-go-v7
  * New upstream version 7.0.5
  * rebase golang-github-minio-minio-go patch
  * add golang-github-google-uuid-dev, golang-github-json-iterator-go-dev,
    golang-github-rs-xid-dev to B-D
  * add golang-github-minio-md5-simd-dev to B-D
  * remove golang-github-go-ini-ini-dev from B-D
  * install NOTICE file to comply with Apache-2.0 license
  * use golang Section
  * update Standards-Version to 4.5.1 (no change required)
  * update team email address

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Félix Sipma <felix+debian@gueux.org>  Mon, 01 Feb 2021 09:33:08 +0100

=== debian/control ===
Source: golang-github-minio-minio-go-v7
Section: golang
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Dmitry Smirnov <onlyjob@debian.org>,
           Félix Sipma <felix+debian@gueux.org>,
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-any,
               golang-github-google-uuid-dev,
               golang-github-json-iterator-go-dev,
               golang-github-minio-md5-simd-dev (>= 1.1.2),
               golang-github-minio-sha256-simd-dev,
               golang-github-mitchellh-go-homedir-dev,
               golang-github-rs-xid-dev,
               golang-golang-x-crypto-dev,
               golang-golang-x-net-dev,
               golang-gopkg-ini.v1-dev,
Standards-Version: 4.5.1
Homepage: https://github.com/minio/minio-go
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-minio-minio-go-v7
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-minio-minio-go-v7.git
XS-Go-Import-Path: github.com/minio/minio-go/v7
Testsuite: autopkgtest-pkg-go
Rules-Requires-Root: no

Package: golang-github-minio-minio-go-v7-dev
Architecture: all
Depends: golang-github-google-uuid-dev,
         golang-github-json-iterator-go-dev,
         golang-github-minio-md5-simd-dev,
         golang-github-minio-sha256-simd-dev,
         golang-github-mitchellh-go-homedir-dev,
         golang-github-rs-xid-dev,
         golang-golang-x-crypto-dev,
         golang-golang-x-net-dev,
         golang-gopkg-ini.v1-dev,
         ${misc:Depends},
         ${shlibs:Depends},
Description: Go library for Amazon S3 compatible cloud storage
 The Minio Golang Client SDK provides simple APIs to access any Amazon S3
 compatible object storage server.

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%golang-github-minio-minio-go-v7-$1.tar.gz%" \
    https://github.com/minio/minio-go/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian

## golang-github-minio-minio-go-v7 7.0.43

=== debian/changelog ===
golang-github-minio-minio-go-v7 (7.0.43-1) unstable; urgency=medium

  [ Aloïs Micard ]
  * update debian/gitlab-ci.yml (using pkg-go-tools/ci-config)

  [ Mathias Gibbens ]
  * New upstream release
    - Drop no longer needed patch
  * Update list of installed files in d/rules
  * d/control:
    - Add myself to Uploaders
    - Update Standards-Version (no changes needed)
    - Update Build-Depends and Depends
  * Update d/copyright

 -- Mathias Gibbens <gibmat@debian.org>  Sat, 12 Nov 2022 14:05:49 +0000

## golang-github-minio-minio-go-v7 7.0.45

=== debian/changelog ===
golang-github-minio-minio-go-v7 (7.0.45-1) unstable; urgency=medium

  * New upstream release
  * Update d/watch to only track version 7 releases

 -- Mathias Gibbens <gibmat@debian.org>  Sat, 03 Dec 2022 23:33:05 +0000

=== debian/control ===
Source: golang-github-minio-minio-go-v7
Section: golang
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Dmitry Smirnov <onlyjob@debian.org>,
           Félix Sipma <felix+debian@gueux.org>,
           Mathias Gibbens <gibmat@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-any,
               golang-github-dustin-go-humanize-dev,
               golang-github-google-uuid-dev,
               golang-github-json-iterator-go-dev,
               golang-github-klauspost-compress-dev,
               golang-github-minio-md5-simd-dev (>= 1.1.2),
               golang-github-minio-sha256-simd-dev (>= 1.0.0),
               golang-github-rs-xid-dev (>= 1.4.0),
               golang-github-sirupsen-logrus-dev,
               golang-golang-x-crypto-dev,
               golang-golang-x-net-dev,
               golang-gopkg-ini.v1-dev,
Standards-Version: 4.6.1
Homepage: https://github.com/minio/minio-go
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-minio-minio-go-v7
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-minio-minio-go-v7.git
XS-Go-Import-Path: github.com/minio/minio-go/v7
Testsuite: autopkgtest-pkg-go
Rules-Requires-Root: no

Package: golang-github-minio-minio-go-v7-dev
Architecture: all
Depends: golang-github-dustin-go-humanize-dev,
         golang-github-google-uuid-dev,
         golang-github-json-iterator-go-dev,
         golang-github-klauspost-compress-dev,
         golang-github-minio-md5-simd-dev (>= 1.1.2),
         golang-github-minio-sha256-simd-dev (>= 1.0.0),
         golang-github-rs-xid-dev (>= 1.4.0),
         golang-github-sirupsen-logrus-dev,
         golang-golang-x-crypto-dev,
         golang-golang-x-net-dev,
         golang-gopkg-ini.v1-dev,
         ${misc:Depends}
Description: Go library for Amazon S3 compatible cloud storage
 The Minio Golang Client SDK provides simple APIs to access any Amazon S3
 compatible object storage server.

## golang-github-minio-minio-go-v7 7.0.46

=== Makefile ===
GOPATH := $(shell go env GOPATH)
TMPDIR := $(shell mktemp -d)

all: checks

.PHONY: examples docs

checks: lint vet test examples functional-test

lint:
	@mkdir -p ${GOPATH}/bin
	@echo "Installing golangci-lint" && curl -sSfL https://raw.githubusercontent.com/golangci/golangci-lint/master/install.sh | sh -s -- -b $(GOPATH)/bin
	@echo "Running $@ check"
	@GO111MODULE=on ${GOPATH}/bin/golangci-lint cache clean
	@GO111MODULE=on ${GOPATH}/bin/golangci-lint run --timeout=5m --config ./.golangci.yml

vet:
	@GO111MODULE=on go vet ./...
	@echo "Installing staticcheck" && go install honnef.co/go/tools/cmd/staticcheck@latest
	${GOPATH}/bin/staticcheck -tests=false -checks="all,-ST1000,-ST1003,-ST1016,-ST1020,-ST1021,-ST1022,-ST1023,-ST1005"

test:
	@GO111MODULE=on SERVER_ENDPOINT=localhost:9000 ACCESS_KEY=minio SECRET_KEY=minio123 ENABLE_HTTPS=1 MINT_MODE=full go test -race -v ./...

examples:
	@echo "Building s3 examples"
	@cd ./examples/s3 && $(foreach v,$(wildcard examples/s3/*.go),go build -mod=mod -o ${TMPDIR}/$(basename $(v)) $(notdir $(v)) || exit 1;)
	@echo "Building minio examples"
	@cd ./examples/minio && $(foreach v,$(wildcard examples/minio/*.go),go build -mod=mod -o ${TMPDIR}/$(basename $(v)) $(notdir $(v)) || exit 1;)

functional-test:
	@GO111MODULE=on go build -race functional_tests.go
	@SERVER_ENDPOINT=localhost:9000 ACCESS_KEY=minio SECRET_KEY=minio123 ENABLE_HTTPS=1 MINT_MODE=full ./functional_tests

clean:
	@echo "Cleaning up all the generated files"
	@find . -name '*.test' | xargs rm -fv
	@find . -name '*~' | xargs rm -fv

=== debian/changelog ===
golang-github-minio-minio-go-v7 (7.0.46-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version in d/control (no changes needed)
  * Update d/copyright

 -- Mathias Gibbens <gibmat@debian.org>  Tue, 10 Jan 2023 22:05:35 +0000

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
                golang-golang-x-crypto-dev,
                golang-golang-x-net-dev,
                golang-gopkg-ini.v1-dev,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/minio/minio-go
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-minio-minio-go-v7
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-minio-minio-go-v7.git

=== debian/rules ===
#!/usr/bin/make -f

export DH_GOLANG_EXCLUDES := examples

# Required for tests:
export DH_GOLANG_INSTALL_EXTRA := ./pkg/credentials/config.json.sample ./pkg/credentials/credentials.sample ./pkg/credentials/credentials.json

%:
	dh $@ --buildsystem=golang --with=golang
override_dh_auto_test:
	# set -short param to avoid tests that access to s3.amazonaws.com
	# api_functional_v4_test.go is needed for other tests to run
	dh_auto_test -- -short

## golang-github-minio-minio-go-v7 7.0.61

=== debian/changelog ===
golang-github-minio-minio-go-v7 (7.0.61-1) unstable; urgency=medium

  * New upstream release
  * Mark golang-github-minio-minio-go-v7-dev as Multi-Arch: foreign

 -- Mathias Gibbens <gibmat@debian.org>  Fri, 21 Jul 2023 20:15:19 +0000

golang-github-minio-minio-go-v7 (7.0.57-1) unstable; urgency=medium

  * New upstream release

 -- Mathias Gibbens <gibmat@debian.org>  Fri, 16 Jun 2023 00:50:29 +0000

## golang-github-minio-minio-go-v7 7.0.66

=== debian/changelog ===
golang-github-minio-minio-go-v7 (7.0.66-1) unstable; urgency=medium

  * New upstream release
  * Update years in d/copyright

 -- Mathias Gibbens <gibmat@debian.org>  Sat, 13 Jan 2024 20:42:10 +0000

golang-github-minio-minio-go-v7 (7.0.63-1) unstable; urgency=medium

  * New upstream release

 -- Mathias Gibbens <gibmat@debian.org>  Fri, 08 Sep 2023 23:10:09 +0000

## golang-github-minio-minio-go-v7 7.0.67

=== debian/changelog ===
golang-github-minio-minio-go-v7 (7.0.67-1) unstable; urgency=medium

  * New upstream release

 -- Mathias Gibbens <gibmat@debian.org>  Mon, 26 Feb 2024 22:56:03 +0000

=== debian/control ===
--- 
+++ 
@@ -29,6 +29,7 @@
 
 Package: golang-github-minio-minio-go-v7-dev
 Architecture: all
+Multi-Arch: foreign
 Depends: golang-github-dustin-go-humanize-dev,
          golang-github-google-uuid-dev,
          golang-github-json-iterator-go-dev,

## golang-github-minio-minio-go-v7 7.0.69

=== debian/changelog ===
golang-github-minio-minio-go-v7 (7.0.69-1) unstable; urgency=medium

  * New upstream release
  * d/control:
    - Update Standards-Version to 4.7.0 (no changes needed)
    - Set minimum version of golang to aid backporting
    - Update Build-Depends and Depends
  * Update years in d/copyright

 -- Mathias Gibbens <gibmat@debian.org>  Sun, 21 Apr 2024 14:37:57 +0000

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
            Mathias Gibbens <gibmat@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-golang,
-               golang-any,
+               golang-any (>= 2:1.20~),
                golang-github-dustin-go-humanize-dev,
                golang-github-google-uuid-dev,
                golang-github-json-iterator-go-dev,
@@ -15,11 +15,10 @@
                golang-github-minio-md5-simd-dev (>= 1.1.2),
                golang-github-minio-sha256-simd-dev (>= 1.0.0),
                golang-github-rs-xid-dev (>= 1.4.0),
-               golang-github-sirupsen-logrus-dev,
                golang-golang-x-crypto-dev,
                golang-golang-x-net-dev,
                golang-gopkg-ini.v1-dev,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/minio/minio-go
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-minio-minio-go-v7
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-minio-minio-go-v7.git
@@ -37,7 +36,6 @@
          golang-github-minio-md5-simd-dev (>= 1.1.2),
          golang-github-minio-sha256-simd-dev (>= 1.0.0),
          golang-github-rs-xid-dev (>= 1.4.0),
-         golang-github-sirupsen-logrus-dev,
          golang-golang-x-crypto-dev,
          golang-golang-x-net-dev,
          golang-gopkg-ini.v1-dev,

## golang-github-minio-minio-go-v7 7.0.74

=== debian/changelog ===
golang-github-minio-minio-go-v7 (7.0.74-1) unstable; urgency=medium

  * New upstream release
    - Update Build-Depends and Depends
    - Add a patch to use encoding/json rather than goccy/go-json, as that
      package doesn't build on s390x

 -- Mathias Gibbens <gibmat@debian.org>  Wed, 24 Jul 2024 06:59:54 +0000

## golang-github-minio-minio-go-v7 7.0.77

=== debian/changelog ===
golang-github-minio-minio-go-v7 (7.0.77-1) unstable; urgency=medium

  * New upstream release

 -- Mathias Gibbens <gibmat@debian.org>  Fri, 04 Oct 2024 01:23:18 +0000

golang-github-minio-minio-go-v7 (7.0.75-1) unstable; urgency=medium

  * New upstream release

 -- Mathias Gibbens <gibmat@debian.org>  Sun, 18 Aug 2024 18:10:47 +0000

## golang-github-minio-minio-go-v7 7.0.82

=== debian/changelog ===
golang-github-minio-minio-go-v7 (7.0.82-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Mathias Gibbens <gibmat@debian.org>  Tue, 24 Dec 2024 16:55:35 +0000

golang-github-minio-minio-go-v7 (7.0.82-1) unstable; urgency=medium

  * New upstream release
    - Update patch for replacing use of goccy/go-jason with encoding/json

 -- Mathias Gibbens <gibmat@debian.org>  Sat, 21 Dec 2024 21:40:08 +0000

## golang-github-minio-minio-go-v7 7.0.84

=== debian/changelog ===
golang-github-minio-minio-go-v7 (7.0.84-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Mathias Gibbens <gibmat@debian.org>  Sun, 26 Jan 2025 17:38:34 +0000

golang-github-minio-minio-go-v7 (7.0.84-1) unstable; urgency=medium

  * New upstream release
  * Update years in d/copyright

 -- Mathias Gibbens <gibmat@debian.org>  Mon, 20 Jan 2025 15:36:14 +0000

=== debian/control ===
--- 
+++ 
@@ -9,15 +9,13 @@
                dh-golang,
                golang-any (>= 2:1.20~),
                golang-github-dustin-go-humanize-dev,
+               golang-github-go-ini-ini-dev,
                golang-github-google-uuid-dev,
-               golang-github-json-iterator-go-dev,
                golang-github-klauspost-compress-dev,
                golang-github-minio-md5-simd-dev (>= 1.1.2),
-               golang-github-minio-sha256-simd-dev (>= 1.0.0),
                golang-github-rs-xid-dev (>= 1.4.0),
                golang-golang-x-crypto-dev,
-               golang-golang-x-net-dev,
-               golang-gopkg-ini.v1-dev,
+               golang-golang-x-net-dev
 Standards-Version: 4.7.0
 Homepage: https://github.com/minio/minio-go
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-minio-minio-go-v7
@@ -30,15 +28,13 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: golang-github-dustin-go-humanize-dev,
+         golang-github-go-ini-ini-dev,
          golang-github-google-uuid-dev,
-         golang-github-json-iterator-go-dev,
          golang-github-klauspost-compress-dev,
          golang-github-minio-md5-simd-dev (>= 1.1.2),
-         golang-github-minio-sha256-simd-dev (>= 1.0.0),
          golang-github-rs-xid-dev (>= 1.4.0),
          golang-golang-x-crypto-dev,
          golang-golang-x-net-dev,
-         golang-gopkg-ini.v1-dev,
          ${misc:Depends}
 Description: Go library for Amazon S3 compatible cloud storage
  The Minio Golang Client SDK provides simple APIs to access any Amazon S3

## golang-github-minio-minio-go-v7 7.0.88

=== debian/changelog ===
golang-github-minio-minio-go-v7 (7.0.88-1) unstable; urgency=medium

  * New upstream release
  * d/control:
    - Update Build-Depends and Depends
    - Update Standards-Version to 4.7.2 (no changes needed)

 -- Mathias Gibbens <gibmat@debian.org>  Wed, 26 Mar 2025 22:57:11 +0000

## golang-github-minio-minio-go-v7 7.0.89

=== Makefile ===
--- 
+++ 
@@ -20,7 +20,7 @@
 	${GOPATH}/bin/staticcheck -tests=false -checks="all,-ST1000,-ST1003,-ST1016,-ST1020,-ST1021,-ST1022,-ST1023,-ST1005"
 
 test:
-	@GO111MODULE=on SERVER_ENDPOINT=localhost:9000 ACCESS_KEY=minio SECRET_KEY=minio123 ENABLE_HTTPS=1 MINT_MODE=full go test -race -v ./...
+	@GO111MODULE=on SERVER_ENDPOINT=localhost:9000 ACCESS_KEY=minioadmin SECRET_KEY=minioadmin ENABLE_HTTPS=1 MINT_MODE=full go test -race -v ./...
 
 examples:
 	@echo "Building s3 examples"
@@ -30,7 +30,11 @@
 
 functional-test:
 	@GO111MODULE=on go build -race functional_tests.go
-	@SERVER_ENDPOINT=localhost:9000 ACCESS_KEY=minio SECRET_KEY=minio123 ENABLE_HTTPS=1 MINT_MODE=full ./functional_tests
+	@SERVER_ENDPOINT=localhost:9000 ACCESS_KEY=minioadmin SECRET_KEY=minioadmin ENABLE_HTTPS=1 MINT_MODE=full ./functional_tests
+
+functional-test-notls:
+	@GO111MODULE=on go build -race functional_tests.go
+	@SERVER_ENDPOINT=localhost:9000 ACCESS_KEY=minioadmin SECRET_KEY=minioadmin ENABLE_HTTPS=0 MINT_MODE=full ./functional_tests
 
 clean:
 	@echo "Cleaning up all the generated files"

=== debian/changelog ===
golang-github-minio-minio-go-v7 (7.0.89-1) unstable; urgency=medium

  * New upstream release

 -- Mathias Gibbens <gibmat@debian.org>  Sat, 05 Apr 2025 16:10:53 +0000

=== debian/control ===
--- 
+++ 
@@ -12,11 +12,12 @@
                golang-github-go-ini-ini-dev,
                golang-github-google-uuid-dev,
                golang-github-klauspost-compress-dev,
+               golang-github-minio-crc64nvme-dev,
                golang-github-minio-md5-simd-dev (>= 1.1.2),
                golang-github-rs-xid-dev (>= 1.4.0),
                golang-golang-x-crypto-dev,
                golang-golang-x-net-dev
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/minio/minio-go
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-minio-minio-go-v7
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-minio-minio-go-v7.git
@@ -31,6 +32,7 @@
          golang-github-go-ini-ini-dev,
          golang-github-google-uuid-dev,
          golang-github-klauspost-compress-dev,
+         golang-github-minio-crc64nvme-dev,
          golang-github-minio-md5-simd-dev (>= 1.1.2),
          golang-github-rs-xid-dev (>= 1.4.0),
          golang-golang-x-crypto-dev,

## golang-github-minio-minio-go-v7 7.0.95

=== debian/changelog ===
golang-github-minio-minio-go-v7 (7.0.95-1) unstable; urgency=medium

  * New upstream release
    - Update Build-Depends and Depends
    - Update patch for using encoding/json rather than goccy/go-json

 -- Mathias Gibbens <gibmat@debian.org>  Tue, 02 Sep 2025 01:35:20 +0000

=== debian/control ===
--- 
+++ 
@@ -15,6 +15,7 @@
                golang-github-minio-crc64nvme-dev,
                golang-github-minio-md5-simd-dev (>= 1.1.2),
                golang-github-rs-xid-dev (>= 1.4.0),
+               golang-github-tinylib-msgp-dev,
                golang-golang-x-crypto-dev,
                golang-golang-x-net-dev
 Standards-Version: 4.7.2
@@ -35,6 +36,7 @@
          golang-github-minio-crc64nvme-dev,
          golang-github-minio-md5-simd-dev (>= 1.1.2),
          golang-github-rs-xid-dev (>= 1.4.0),
+         golang-github-tinylib-msgp-dev,
          golang-golang-x-crypto-dev,
          golang-golang-x-net-dev,
          ${misc:Depends}

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%golang-github-minio-minio-go-v7-$1.tar.gz%" \
    https://github.com/minio/minio-go/tags \
    (?:.*?/)?v?(7\.[\d.]*)\.tar\.gz debian

## golang-github-minio-minio-go-v7 7.0.97

=== debian/changelog ===
golang-github-minio-minio-go-v7 (7.0.97-1) unstable; urgency=medium

  * New upstream release
    - Drop no longer needed patch
  * d/control:
    - Update Build-Depends and Depends
    - Drop redundant Rules-Requires-Root

 -- Mathias Gibbens <gibmat@debian.org>  Sat, 15 Nov 2025 19:31:40 +0000

=== debian/control ===
--- 
+++ 
@@ -12,19 +12,20 @@
                golang-github-go-ini-ini-dev,
                golang-github-google-uuid-dev,
                golang-github-klauspost-compress-dev,
+               golang-github-klauspost-crc32-dev,
                golang-github-minio-crc64nvme-dev,
                golang-github-minio-md5-simd-dev (>= 1.1.2),
                golang-github-rs-xid-dev (>= 1.4.0),
                golang-github-tinylib-msgp-dev,
                golang-golang-x-crypto-dev,
-               golang-golang-x-net-dev
+               golang-golang-x-net-dev,
+               golang-gopkg-yaml.v3-dev
 Standards-Version: 4.7.2
 Homepage: https://github.com/minio/minio-go
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-minio-minio-go-v7
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-minio-minio-go-v7.git
 XS-Go-Import-Path: github.com/minio/minio-go/v7
 Testsuite: autopkgtest-pkg-go
-Rules-Requires-Root: no
 
 Package: golang-github-minio-minio-go-v7-dev
 Architecture: all
@@ -33,12 +34,14 @@
          golang-github-go-ini-ini-dev,
          golang-github-google-uuid-dev,
          golang-github-klauspost-compress-dev,
+         golang-github-klauspost-crc32-dev,
          golang-github-minio-crc64nvme-dev,
          golang-github-minio-md5-simd-dev (>= 1.1.2),
          golang-github-rs-xid-dev (>= 1.4.0),
          golang-github-tinylib-msgp-dev,
          golang-golang-x-crypto-dev,
          golang-golang-x-net-dev,
+         golang-gopkg-yaml.v3-dev,
          ${misc:Depends}
 Description: Go library for Amazon S3 compatible cloud storage
  The Minio Golang Client SDK provides simple APIs to access any Amazon S3

## golang-github-minio-minio-go-v7 7.0.98

=== Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 
 .PHONY: examples docs
 
-checks: lint vet test examples functional-test
+checks: lint test examples functional-test
 
 lint:
 	@mkdir -p ${GOPATH}/bin
@@ -14,10 +14,7 @@
 	@GO111MODULE=on ${GOPATH}/bin/golangci-lint cache clean
 	@GO111MODULE=on ${GOPATH}/bin/golangci-lint run --timeout=5m --config ./.golangci.yml
 
-vet:
-	@GO111MODULE=on go vet ./...
-	@echo "Installing staticcheck" && go install honnef.co/go/tools/cmd/staticcheck@latest
-	${GOPATH}/bin/staticcheck -tests=false -checks="all,-ST1000,-ST1003,-ST1016,-ST1020,-ST1021,-ST1022,-ST1023,-ST1005"
+vet: lint
 
 test:
 	@GO111MODULE=on SERVER_ENDPOINT=localhost:9000 ACCESS_KEY=minioadmin SECRET_KEY=minioadmin ENABLE_HTTPS=1 MINT_MODE=full go test -race -v ./...

=== debian/changelog ===
golang-github-minio-minio-go-v7 (7.0.98-1) unstable; urgency=medium

  * New upstream release
  * Update Standards-Version to 4.7.3 in d/control, drop Priority field
  * Update years in d/copyright

 -- Mathias Gibbens <gibmat@debian.org>  Thu, 26 Feb 2026 22:21:37 +0000

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: golang-github-minio-minio-go-v7
 Section: golang
-Priority: optional
 Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Dmitry Smirnov <onlyjob@debian.org>,
            Félix Sipma <felix+debian@gueux.org>,
@@ -20,7 +19,7 @@
                golang-golang-x-crypto-dev,
                golang-golang-x-net-dev,
                golang-gopkg-yaml.v3-dev
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://github.com/minio/minio-go
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-minio-minio-go-v7
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-minio-minio-go-v7.git
